GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::GtExecMask Class Reference
GTPin: GEN Architecture

Execution mask of the instruction. More...

`#include <gt_ins_fields.h>`

## Public Member Functions
constexpr | GtExecMask ()
| Default constructor.
constexpr | GtExecMask (GtExecSize execSize)
| Conversion constructor.
constexpr | GtExecMask (GtExecSize execSize, GtChannelOffset channelOffset)
| Construct execution mask for the specified execution size and the channel offset.
constexpr GtExecSize | ExecSize () const
| Return execution size.
constexpr GtChannelOffset | ChannelOffset () const
| Return channel offset.
uint32_t | Bits () const
| Return 32-bit mask of instruction channels.
bool | Includes (uint32_t bitMask) const
| Return true, if this execution mask includes all bits of 'bitMask'.
bool | Includes (const GtExecMask execMask) const
| Return true if this execution mask includes 'execMask' bits.

## Detailed Description

Execution mask of the instruction.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT